<?

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
}

if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
			<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
			<p style="font-size: 14px;">Вы не авторизованы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
			<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >назад</a>.</p>
		  </div>';
} else {

include_once ROOT_DIR . '/modules/panel_manager/section_advertising_manager.php';
?>

<div class="content_bar">
	<article class="postBox">
		<div class="mlink">
			<?
			$proverka = mysql_query( "SELECT * FROM vkontakte WHERE iduser = '" . $_SESSION['iduser'] . "' ORDER BY id DESC" );
    
			if ( mysql_num_rows( $proverka ) == 0 ) {
				?>
				<div class="infotext" style="text-align: center;">У Вас еще нет рекламной площадки<br /><a href="/addvk" class="a_box" onclick="Page.Go('addvk'); return false;">Разместить рекламу</a></div>
				<?
			} else {
				?>
				<script type="text/javascript">
					$(document).ready(function(){
						$('.task_good').tipTip({defaultPosition:'right'});
						$('.img_click').tipTip({defaultPosition:'right'});
						$('.img_vk_type').tipTip({defaultPosition:'right'});
						$('.task_bad').tipTip({defaultPosition:'right'});
						$('.btn_stop').tipTip({defaultPosition:'right'});
						$('.btn_run').tipTip({defaultPosition:'right'});
						$('.title_con').tipTip({defaultPosition:'right'});
						$('.adv_stat_button').tipTip({defaultPosition:'right'});
						
					});
					
					function del(tid) {
						$('body').Qbox({
							'title': 'Предупреждение',
							'width': 500,
							'minHeight': 110,
							'fadespeed': 300,
							'url': 'modules/vkontakte/delinfo.php',
							'param': 'id='+tid
						});
						return false;
					}
        
					function showStatSerf(e) {
						$('body').Qbox({
							'title': 'Статистика посещений за последнию неделю',
							'width': 530,
							'height': 315,
							'fadespeed': 300,
							'url': 'modules/vkontakte/statistic.php',
							'param': 'id='+e
						});
					}
				</script>
				<div class="control_panel_icon">&nbsp;</div>
				<div class="infotext control_panel_text" >Здесь находяться Ваши рекламные площадки. Вы можете удалять, редактировать, пополнять баланс, просматривать статистику. Вы всегда сможете проконтролировать баланс, любой рекламной площадки.</div>
				<br>
				<?
				while( $sql_row = mysql_fetch_array( $proverka ) ) {
					if ( $sql_row['paused'] == 0 ) {
						$btn_ps = '<a href="#" onclick="run' . $sql_row['id'] . '(' . $sql_row['id'] . ');return false;" class="btn_run" title="Нажмите что бы запустить площадку">пуск</a>';
					} else {
						$btn_ps = '<a href="#" onclick="run' . $sql_row['id'] . '(' . $sql_row['id'] . ');return false;" class="btn_stop" title="Нажмите что бы остановить площадку">стоп</a>';
					}
            
					$b1 = explode( '.', $sql_row['balance'] );
            
					if($sql_row['type_object'] == 1) {
					  $pricevk = $config['vk_like'];
					  if($sql_row['type_likes'] == 'post') {
					    $type_title = 'Лайк объекта (запись/пост)';
					  } else 
					  if($sql_row['type_likes'] == 'photo') {
					    $type_title = 'Лайк объекта (фотография)';
					  }  else {
					    $type_title = 'Лайк объекта (видеозапись)';
					  }
					} else 
					if($sql_row['type_object'] == 2) {
					  $pricevk = $config['vk_repost'];
					  if($sql_row['type_likes'] == 'post') {
					    $type_title = 'Репост объекта (запись/пост)';
					  } else 
					  if($sql_row['type_likes'] == 'photo') {
					    $type_title = 'Репост объекта (фотография)';
					  }  else {
					    $type_title = 'Репост объекта (видеозапись)';
					  }
					} else 
					if($sql_row['type_object'] == 3) {
					  $pricevk = $config['vk_group'];
					  $type_title = 'Вступление в групу';
					} else {
					  $pricevk = $config['vk_friend'];
					  $type_title = 'Добавить в друзья';
					}
					?>
            
					<script type="text/javascript">
						function run<?=$sql_row['id']?>(tid) {
							$.post('ajax.php?func=runvk', {
								id: tid
							}, function(data){
								if(data == 1) {
									Page.Go('mvk');
									reloadpage.loadban2x3();
								} else {
									$('.error<?=$sql_row['id']?>').fadeIn().html(data);
									setTimeout(function() {
										$('.error<?=$sql_row['id']?>').fadeOut().html('&nbsp;');
									}, 4000);
								}
							});
							return false;
						}
					</script>
					<table class="tabreclama">
						<tr>
							<td style="width: 50px; text-align: center;">
								<?=$btn_ps?>
							</td>
							<td>
								<div style="position: relative;" class="tabpos">
									<a target="_blank" class="a_control"><?=$sql_row['title']?></a><br />
									<div class="task_stroka">
										<span class="a_control">№<?=$sql_row['id']?></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
										<span title="Цена одного выполнения, с учетом комисии системы" class="img_click">Цена: <?=$pricevk?>&nbsp;<?=$config['valutaname']?></span>&nbsp;&nbsp;&nbsp;
										<span title="Количество выполнений" style="margin-left: -15px;" class="task_good"><?=$sql_row['visits']?></span>
										<span title="Тип площадки" class="img_vk_type"><?=$type_title?></span>
									</div>
									<div class="task_button">
										<a href="/vkedit=<?=$sql_row['id']?>" class="control_edit" id="medit<?=$sql_row['id']?>" ><span class="con_edit">&nbsp;</span>Редактировать</a>
										<a href="#" onclick="adv.Remove_advertising(<?=$sql_row['id']?>, 'vk');return false;" class="control_del" id="mdel<?=$sql_row['id']?>" ><span class="con_del">&nbsp;</span>Удалить</a>
										<a href="#" onclick="showStatSerf(<?=$sql_row['id']?>);" class="maddm"  ><span class="con_stat">&nbsp;</span>Статистика</a>
										
										<div class="js_transfer<?=$sql_row['id']?>" style="position: relative;"></div>
									</div>
									<div class="error<?=$sql_row['id']?> error" ></div>
								</div>
							</td>
							<td width="90px;">
								<div class="control_bal_fix" style="margin-right: -27px;">
									<div class="control_bal_fix1" >
										<span class="reklam_balans" >&nbsp;</span>
										<div class="reklam_balans_fix" >
											<font title="Текущий баланс рекламной площадки" class="title_con">
												<?=$b1[0]?>.<span style="font-size:11px"><?=$b1[1]?></span>
											</font>
										</div>
									</div>
									<a href="#" onclick="adv.Replenishment(<?=$sql_row['id']?>, 'vk');return false;" class="add_pay_control" id="btn_link_money">пополнить</a>
								</div>
							</td>
						</tr>
					</table>
					<?
				}
				
			}
		?>
		</div>
	</article>
</div>
<? } ?>